---
title: MouseEvent.relatedTarget
slug: Web/API/MouseEvent/relatedTarget
tags:
  - API
  - DOM
  - DOM Events
  - MouseEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>MouseEvent.relatedTarget</code></strong> read-only property is the secondary target for the mouse event, if there is one. That is:</p>

<table class="standard-table" style="width: auto;">
 <tbody>
  <tr>
   <td class="header">Event name</td>
   <td class="header"><code>target</code></td>
   <td class="header"><code>relatedTarget</code></td>
  </tr>
  <tr>
   <td>{{Event("mouseenter")}}</td>
   <td>The {{domxref("EventTarget")}} the pointing device entered to</td>
   <td>The {{domxref("EventTarget")}} the pointing device exited from</td>
  </tr>
  <tr>
   <td>{{Event("mouseleave")}}</td>
   <td>The {{domxref("EventTarget")}} the pointing device exited from</td>
   <td>The {{domxref("EventTarget")}} the pointing device entered to</td>
  </tr>
  <tr>
   <td>{{Event("mouseout")}}</td>
   <td>The {{domxref("EventTarget")}} the pointing device exited from</td>
   <td>The {{domxref("EventTarget")}} the pointing device entered to</td>
  </tr>
  <tr>
   <td>{{Event("mouseover")}}</td>
   <td>The {{domxref("EventTarget")}} the pointing device entered to</td>
   <td>The {{domxref("EventTarget")}} the pointing device exited from</td>
  </tr>
  <tr>
   <td>{{Event("dragenter")}}</td>
   <td>The {{domxref("EventTarget")}} the pointing device entered to</td>
   <td>The {{domxref("EventTarget")}} the pointing device exited from</td>
  </tr>
  <tr>
   <td>{{Event("dragexit")}}</td>
   <td>The {{domxref("EventTarget")}} the pointing device exited from</td>
   <td>The {{domxref("EventTarget")}} the pointing device entered to</td>
  </tr>
 </tbody>
</table>

<p>For events with no secondary target, <code>relatedTarget</code> returns <code>null</code>.</p>

<p>{{domxref("FocusEvent.relatedTarget")}} is a similar property for focus events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>target</em> = <em>instanceOfMouseEvent</em>.relatedTarget
</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("EventTarget")}} object or <code>null</code>.</p>

<h2 id="Example">Example</h2>

<p>Try moving your mouse cursor into and out of the red and blue boxes.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;body id="body"&gt;
  &lt;div id="outer"&gt;
    &lt;div id="red"&gt;&lt;/div&gt;
    &lt;div id="blue"&gt;&lt;/div&gt;
  &lt;/div&gt;
  &lt;p id="log"&gt;&lt;/p&gt;
&lt;/body&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css">#outer {
  width: 250px;
  height: 125px;
  display: flex;
}

#red {
  flex-grow: 1;
  background: red;
}

#blue {
  flex-grow: 1;
  background: blue;
}

#log {
  max-height: 120px;
  overflow-y: scroll;
}</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">const mouseoutLog = document.getElementById('log'),
      red = document.getElementById('red'),
      blue = document.getElementById('blue');

red.addEventListener('mouseover', overListener);
red.addEventListener('mouseout', outListener);
blue.addEventListener('mouseover', overListener);
blue.addEventListener('mouseout', outListener);

function outListener(event) {
  let related = event.relatedTarget ? event.relatedTarget.id : "unknown";

  mouseoutLog.innerText = `\nfrom ${event.target.id} into ${related} ${mouseoutLog.innerText}`;
}

function overListener(event) {
  let related = event.relatedTarget ? event.relatedTarget.id : "unknown";

  log.innerText = `\ninto ${event.target.id} from ${related} ${mouseoutLog.innerText}`;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 700, 280)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('UI Events', '#dom-mouseevent-relatedtarget', 'MouseEvent.relatedTarget')}}</td>
   <td>{{Spec2('UI Events')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-MouseEvent-relatedTarget','MouseEvent.relatedTarget')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>No change from {{SpecName('DOM2 Events')}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events','#Events-MouseEvent','MouseEvent.altkey')}}</td>
   <td>{{Spec2('DOM2 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MouseEvent.relatedTarget")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
 <li><a href="/en-US/docs/DOM/event/Comparison_of_Event_Targets" title="DOM/event/Comparison_of_Event_Targets">Comparison of Event Targets</a></li>
</ul>
